package com.piece_framework.piece_ide.form_designer.model.defined;



public class DefinedRule {
    public enum WidgetType { Text, YesNo };
    private String fName;
    private WidgetType fWidgetType;
    private String fDefaultValue;

    DefinedRule(
            final String name, 
            final String defaultValue) {
        this(name, WidgetType.Text, defaultValue);
    }

    DefinedRule(
            final String name, 
            final WidgetType widgetType, 
            final String defaultValue) {
        if (name == null) {
            throw new NullPointerException();
        }
        if (widgetType == null) {
            throw new NullPointerException();
        }
        
        fName = name;
        fWidgetType = widgetType;
        if (defaultValue != null) {
            fDefaultValue = defaultValue;
        } else {
            fDefaultValue = "";
        }
    }
    
    public String getName() {
        return fName;
    }

    public WidgetType getWidgetType() {
        return fWidgetType;
    }

    public String getDefaultValue() {
        return fDefaultValue;
    }
}
